Skip to content

Create share

POST
/api/share

Creates a public share link for a file, folder, collection, or paste.

Authorizations

Token

Format: token <value>. Types: user (session) or uploader (API token).

Type
API Key (header: Authorization)

Request Body

application/json
JSON
{
  
"type": "string",
  
"id": "string"
}

Responses

OK

application/json
JSON
{
  
"id": "string",
  
"ownerId": "string",
  
"type": "string",
  
"createdAt": "string",
  
"views": 0,
  
"owner": {
  
  
"id": "string",
  
  
"username": "string"
  
},
  
"file": {
  
  
"id": "string",
  
  
"name": "string",
  
  
"size": "string",
  
  
"mime": "string"
  
},
  
"folder": {
  
  
"id": "string",
  
  
"name": "string",
  
  
"fileCount": 0,
  
  
"folderCount": 0
  
},
  
"collection": {
  
  
"id": "string",
  
  
"name": "string",
  
  
"fileCount": 0
  
},
  
"paste": {
  
  
"id": "string",
  
  
"name": "string",
  
  
"type": "string",
  
  
"content": "string"
  
}
}

Playground

Server
Authorization
Body

Samples